
/****************************************************************************************************************/
/*                                INCIO DAS DECLARAES DOS PROTTIPOS DAS FUNES                             */
/****************************************************************************************************************/



/*****************************************************************************************************************
  Descrio: Funo que Abre determinado arquivo  para reescrita de nome enviado via parmetro para leitura
  Parmetros de entrada:
   -> Varivel do char: Um vetor de caracteres.
  Retorno da funo:
   -> Varivel do tipo FILE: Um ponteiro para o arquivo.
 *****************************************************************************************************************/
FILE *Abre_Arquivo_Reescrita(char []);

/*****************************************************************************************************************
  Descrio: Funo que Abre determinado arquivo para leitura de nome enviado via parmetro para leitura
  Parmetros de entrada:
   -> Varivel do char: Um vetor de caracteres.
  Retorno da funo:
   -> Varivel do tipo FILE: Um ponteiro para o arquivo.
 *****************************************************************************************************************/
FILE *Abre_Arquivo_Leitura(char []);


/*****************************************************************************************************************
  Descrio: Funo que Abre determinado arquivo para escrita de nome enviado via parmetro para escrita
   Parmetros de entrada:
   -> Varivel do char: Um vetor de caracteres.
  Retorno da funo:
   -> Nenhum.
 *****************************************************************************************************************/
FILE *Abre_Arquivo_Escrita(char []);



/*****************************************************************************************************************
  Descrio: Funo que Abre vrias pastas, e trata todos os arquivos conforme a extenso solicitada
 Parmetros de entrada:
   -> Nenhum
  Retorno da funo:
   -> Nenhum.
 *****************************************************************************************************************/
void Normaliza_Pastas(void);



/*****************************************************************************************************************
  Descrio: Funo que concaceta o endereo da pasta em que o arquivo est contido, junto com seu nome, para executar
             posteriormente
 Parmetros de entrada:
   -> Varivel do tipo char: Um vetor de caracteres.
   -> Varivel do tipo char: Um vetor de caracteres.
   -> Varivel do tipo char: Um vetor de caracteres.
  Retorno da funo:
   -> Nenhum.
 *****************************************************************************************************************/
void Ajusta_Nome_Arquivo(char [], char [], char []);

/*****************************************************************************************************************
  Descrio: Funo que faz a contagem de elementos do tipo inteiro de um determinado arquivo
 Parmetros de entrada:
   -> Varivel do tipo char: Um vetor de caracteres.
  Retorno da funo:
   -> Varivel do tipo int: O Numero de elementos.
 *****************************************************************************************************************/
int Contador_Numero_Elementos_Arquivo(char []);


/*****************************************************************************************************************
  Descrio: Funo que concaceta o endereo da pasta em que o arquivo est contido, junto com seu nome, para executar
             posteriormente
 Parmetros de entrada:
   -> Varivel do tipo char: Um vetor de caracteres.
   -> Varivel do tipo char: Um vetor de caracteres.
   -> Varivel do tipo char: Um vetor de caracteres.
  Retorno da funo:
   -> Nenhum.
 *****************************************************************************************************************/
void Preencher_Vetor_Valores_Arquivo ( float [], char []);


void Imprimir_Vetor_Em_Arquivo (char []);

void Imprimir_Vetor_Em_Arquivo (char [], int [], int);

/****************************************************************************************************************/
/*                                  FIM DAS DECLARAES DOS PROTTIPOS DAS FUNES                              */
/****************************************************************************************************************/

