
/****************************************************************************************************************/
/*                                INCIO DAS DECLARAES DOS PROTTIPOS DAS FUNES                             */
/****************************************************************************************************************/



/*****************************************************************************************************************
  Descrio: Funo que faz a normalizao dos valores de um arquivo que contenha mais de 128 valores
  Parmetros de entrada:
   -> Varivel do tipo char: Um vetor de caracteres.
  Retorno da funo:
   -> Nenhum.
 *****************************************************************************************************************/
void Normalizacao_Arquivo (char []);




/*****************************************************************************************************************
  Descrio: Funo que Faz o clculo da mdia de valores de um vetor de numeros reais
  Parmetros de entrada:
   -> Varivel do tipo float: Um vetor de numeros reais.
   -> Varivel do tipo int: Numero de elementos do vetor.
  Retorno da funo:
   -> Varivel do tipo float: A media dos valores
 *****************************************************************************************************************/
float Calculo_Media_Real( float [], int );


/*****************************************************************************************************************
  Descrio: Funo que faz o clculo da mdia de valores de um vetor do tipo double
  Parmetros de entrada:
   -> Varivel do tipo double: Um vetor de numeros double.
   -> Varivel do tipo int: Numero de elementos do vetor.
  Retorno da funo:
   -> Varivel do tipo double: A media dos valores
 *****************************************************************************************************************/
double Calculo_Media_Double(double [], int );



/*****************************************************************************************************************
 Descrio: Funo que realiza o clculo da Varincia dentre os valores do vetor
 Parmetros de entrada:
   -> Varivel do tipo double: Um vetor de nmeros double.
   -> Varivel do tipo double: A media dos valores.
   -> Varivel do tipo int: Numero de elementos.
  Retorno da funo:
   -> Varivel do tipo double: A varincia calculada.
 *****************************************************************************************************************/
double Calculo_Variancia(double [], double , int );


/*****************************************************************************************************************
  Descrio: Funo que realiza a normalizao dos arquivos
 Parmetros de entrada:
   -> Varivel do tipo float: Um vetor de nmeros reais.
   -> Varivel do tipo double: A media dos valores.
   -> Varivel do tipo double: A Varincia dos valores.
   -> Varivel do tipo int: Numero de elementos.
   -> Varivel do tipo char: Um vetor de caracteres.
  Retorno da funo:
   -> Nenhum.
 *****************************************************************************************************************/
void Padronizacao (double [], double , double , int , char  []);


/*****************************************************************************************************************
  Descrio: Funo que realiza o clculo do nmeros de janelas de energia que sero criadas
   -> Varivel do tipo int: O nmero de elementos.
  Retorno da funo:
   -> Varivel do tipo int: O nmero de janelas
 *****************************************************************************************************************/
int Calculo_Numero_Janelas_Energia (int );


/*****************************************************************************************************************
  Descrio: Funo que realiza o clculo de janelas de energia, e aloca os valores em um vetor tipo double.
   -> Varivel do tipo int: O nmero de elementos.
   -> Varivel do tipo float: Um vetor de nmeros do tipo float
  Retorno da funo:
   -> Varivel do tipo double: Um ponteiro para o nicio do vetor alocado
 *****************************************************************************************************************/
double *Janela_Energia (int , float []);


void Reune_Valores_Pasta (void);


void InsertionSort(int [], int );

/****************************************************************************************************************/
/*                                  FIM DAS DECLARAES DOS PROTTIPOS DAS FUNES                              */
/****************************************************************************************************************/




